GET /api/external/hub/v1/orders/tracking

Retrieve tracking information for shipped orders within a date range or for a specific order.

Query parameters

  • connect_identifier string Required

    Connect identifier for the seller account

  • page integer Required

    Page number for pagination

  • per_page integer

    Number of orders per page (default: 50)

  • start_date string

    Start date for tracking range

  • end_date string

    End date for tracking range

  • market_order_id string

    Specific order ID to track

Responses

  • 200 application/json

    Tracking information retrieved successfully

    Hide response attributes Show response attributes object
    • market_order_id string

      Marketplace order ID

    • order_status string

      Current order status

    • tracking_info array[object]
      Hide tracking_info attributes Show tracking_info attributes object
      • shipment_id integer

        Internal shipment ID

      • tracking_carrier string

        Shipping carrier name

      • tracking_number string

        Tracking number

      • shipping_method string

        Shipping method used

      • departure_date string(date)

        Shipment departure date

      • carton_weight object | null
        Hide carton_weight attributes Show carton_weight attributes object | null
        • weight number(float)

          Weight value

        • unit string

          Weight unit (lbs, kg, etc.)

      • freight_charge object | null
        Hide freight_charge attributes Show freight_charge attributes object | null
        • amount number(float)

          Freight cost

        • currency string | null

          Currency code

      • items_list array[object]
        Hide items_list attributes Show items_list attributes object
        • market_order_item_id string

          Marketplace item ID

        • sku string

          Product SKU

        • lots array

          Lot information for items

GET /api/external/hub/v1/orders/tracking
curl \
 --request GET 'https://api.useshelf.com/api/external/hub/v1/orders/tracking?connect_identifier=string&page=42'
Response examples (200)
[
  {
    "market_order_id": "string",
    "order_status": "string",
    "tracking_info": [
      {
        "shipment_id": 42,
        "tracking_carrier": "string",
        "tracking_number": "string",
        "shipping_method": "string",
        "departure_date": "2026-05-04",
        "carton_weight": {
          "weight": 42.0,
          "unit": "string"
        },
        "freight_charge": {
          "amount": 42.0,
          "currency": "string"
        },
        "items_list": [
          {
            "market_order_item_id": "string",
            "sku": "string",
            "lots": []
          }
        ]
      }
    ]
  }
]